Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Interface TTFTableOutputStream

All Known Implementing Classes:
  PSTTFTableOutputStream

    public interface TTFTableOutputStream

An interface for writing a TrueType table to an output stream.

Method Summary
`void` | `streamTable(byte[] ttfData, int offset, int size)` Streams a table from the given byte array.

Method Detail

### streamTable

    void streamTable(byte[] ttfData,
                     int offset,
                     int size)
                     throws java.io.IOException

  Streams a table from the given byte array.

  Parameters:
    `ttfData` - the source of the table to stream from
    `offset` - the position in the byte array where the table starts
    `size` - the size of the table in bytes
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.